libquicktime

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
quicktime_clap_t Struct Reference

Clean Aperture atom structure. More...

`#include <lqt_atoms.h>`

## Data Fields
int32_t | cleanApertureWidthN
int32_t | cleanApertureWidthD
int32_t | cleanApertureHeightN
int32_t | cleanApertureHeightD
int32_t | horizOffN
int32_t | horizOffD
int32_t | vertOffN
int32_t | vertOffD

## Detailed Description

Clean Aperture atom structure.

## Field Documentation

int32_t quicktime_clap_t::cleanApertureWidthN

width of clean aperture numerator, in pixels

int32_t quicktime_clap_t::cleanApertureWidthD

width of clean aperture denominator, in pixels

int32_t quicktime_clap_t::cleanApertureHeightN

height of clean aperture numerator, in pixels

int32_t quicktime_clap_t::cleanApertureHeightD

height of clean aperture denominator, in pixels

int32_t quicktime_clap_t::horizOffN

horzontal offset of clean aperture (numerator) center minus (width-1)/2. Typically 0

int32_t quicktime_clap_t::horizOffD

horzontal offset of clean aperture (denominator) center minus (width-1)/2. Typically 0

int32_t quicktime_clap_t::vertOffN

vertical offset of clean aperture (numerator) center minus (width-1)/2. Typically 0

int32_t quicktime_clap_t::vertOffD

vertical offset of clean aperture (denominator) center minus (width-1)/2. Typically 0

The documentation for this struct was generated from the following file:

- /tmp/txz/libquicktime/libquicktime-1.2.4/include/quicktime/lqt_atoms.h